Saltar al contenido principal
GET
/
api
/
v2
/
dashboards
Listar dashboards
curl --request GET \
  --url https://api.hyperdx.io/api/v2/dashboards \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperdx.io/api/v2/dashboards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperdx.io/api/v2/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "65f5e4a3b9e77c001a567890",
      "name": "Service Overview",
      "tags": [
        "production",
        "monitoring"
      ],
      "tiles": [
        {
          "asRatio": false,
          "h": 3,
          "id": "65f5e4a3b9e77c001a901234",
          "name": "Error Rate",
          "series": [
            {
              "aggFn": "count",
              "groupBy": [
                "service",
                "host"
              ],
              "sourceId": "65f5e4a3b9e77c001a123456",
              "where": "level:error",
              "dataSource": "events",
              "field": "duration",
              "metricDataType": "gauge",
              "metricName": "http_requests_total",
              "type": "time",
              "whereLanguage": "lucene"
            }
          ],
          "w": 6,
          "x": 0,
          "y": 0
        }
      ]
    }
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Respuesta

Dashboards recuperados com sucesso

data
object[]
Última modificación el 3 de julio de 2026